## hdy-main hdy-main — Library initialization |

## Functions

gboolean | hdy_init ()

## Description

Before using the Handy libarary you should initialize it. This makes sure translations for the Handy library are set up properly.

## Functions

### hdy_init ()

    gboolean
    hdy_init (int *argc,
              char ***argv);

Call this function before using any other Handy functions in your GUI applications.

#### Parameters

argc | Address of the `argc` parameter of your `main()` function (or 0 if `argv` is `NULL`). This will be changed if any arguments were handled. | [inout]
argv | Address of the `argv` parameter of `main()`, or `NULL`. Any options understood by Handy are stripped before return. | [array length=argc][inout][allow-none]

#### Returns

`TRUE` if initialization was successful, `FALSE` otherwise.

## Types and Values